Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class CoreOperationAdd

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Operation
                  |
                  +--org.apache.commons.jxpath.ri.compiler.CoreOperation
                        |
                        +--org.apache.commons.jxpath.ri.compiler.CoreOperationAdd

public class CoreOperationAdd
extends CoreOperation

Implementation of Expression for the operation "+".

Version:
  $Revision: 1.1 $ $Date: 2003/01/19 23:59:24 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`CoreOperationAdd(Expression[] args)`

Method Summary
`java.lang.Object` | `computeValue(EvalContext context)` Evaluates the expression.
`protected int` | `getPrecedence()` Computes the precedence of the operation.
`java.lang.String` | `getSymbol()` Returns the XPath symbol for this operation, e.g.
`protected boolean` | `isSymmetric()` Returns true if the operation is not sensitive to the order of arguments, e.g.

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`compute, toString`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`computeContextDependent, getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreOperationAdd

    public CoreOperationAdd(Expression[] args)

Method Detail

### computeValue

    public java.lang.Object computeValue(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.
  Overrides:
    `computeValue` in class `CoreOperation`

### getPrecedence

    protected int getPrecedence()

  Description copied from class: `CoreOperation`
  Computes the precedence of the operation.
  Overrides:
    `getPrecedence` in class `CoreOperation`

### isSymmetric

    protected boolean isSymmetric()

  Description copied from class: `CoreOperation`
  Returns true if the operation is not sensitive to the order of arguments, e.g. "=", "and" etc, and false if it is, e.g. "<=", "div".
  Overrides:
    `isSymmetric` in class `CoreOperation`

### getSymbol

    public java.lang.String getSymbol()

  Description copied from class: `CoreOperation`
  Returns the XPath symbol for this operation, e.g. "+", "div", etc.
  Overrides:
    `getSymbol` in class `CoreOperation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.